<article id="post-<?php the_ID(); ?>" <?php post_class('post-item'); ?>>
	<?php babaturan_post_thumbnail(); ?>

	<div class="post-entry">

		<header class="entry-header">
			<?php

				$title = get_the_title();
				if (strlen($title) == 0) : 
			?>
					<h2 class="entry-title"><a href="<?php echo get_permalink() ?>"><?php the_date(); ?></a></h2>
			<?php
				else :

					if ( is_single() ) :
						the_title( '<h2 class="entry-title">', '</h2>' );
					else :
						the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
					endif;

				endif;
			?>

			<div class="entry-meta">
				<?php if ( 'post' == get_post_type() ) ?>

					<?php babaturan_post_meta(); ?>

			</div><!-- .entry-meta -->
			<?php if( is_single()){ ?><hr><?php } ?>

		</header><!-- .entry-header -->

		<?php if ( is_search() ) : ?>

		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->

		<?php else : ?>

			<?php if ( is_single() ){ ?>

				<div class="entry-content">
					<?php
						the_content( __( 'Continue reading', 'babaturan-text' ).'<span class="meta-nav">&rarr;</span>' );
						wp_link_pages( array(
							'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'babaturan-text' ) . '</span>',
							'after'       => '</div>',
							'link_before' => '<span>',
							'link_after'  => '</span>',
						) );
					?>
				</div><!-- .entry-content -->

			<?php } ?>


		<?php endif; ?>

	<?php if ( is_single() ){
		the_tags( '<footer class="entry-meta"><span class="tag-links">Tags : ', ' ', '</span></footer>' ); 
		}
	?>

	</div><!-- end post-entry -->
</article><!-- #post-## -->