<article id="post-<?php the_ID(); ?>" <?php post_class('post-item'); ?>>

	<div class="post-entry">

		<?php if ( is_single() ) : ?>
		<header class="entry-header">
			<?php the_title( '<h2 class="entry-title">', '</h2>' ); ?>

			<div class="entry-meta">
				<?php if ( 'post' == get_post_type() ) ?>

					<?php babaturan_post_meta(); ?>

			</div><!-- .entry-meta -->
			<hr>

		</header><!-- .entry-header -->
		<?php endif; ?>

		<?php if ( is_search() ) : ?>

		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->

		<?php else : ?>

		<div class="entry-content">
			<?php the_content( __( 'Continue reading', 'babaturan-text' ).'<span class="meta-nav">&rarr;</span>' ); ?>
			
			<?php	
				wp_link_pages( array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'babaturan-text' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
				) );
			?>

			<?php if ( ! is_single() ) { ?>
			<div class="entry-meta">
				<?php if ( 'post' == get_post_type() ) ?>

					<?php babaturan_post_meta(); ?>

			</div><!-- .entry-meta -->
			<?php } /*end if not single */ ?>

		</div><!-- .entry-content -->

		<?php endif; ?>

	</div><!-- end post-entry -->
</article><!-- #post-## -->